Subject: Re: [PATCH net-next 0/3] net: dsa: restore HWMON support in dsa2

From: Andrew Lunn <[email-masked]>
Date: Tue, 3 Jan 2017 19:33:52 +0100

On Tue, Jan 03, 2017 at 01:15:35PM -0500, Vivien Didelot wrote:
> The current HWMON support in DSA in embedded in the legacy code.
> Extract it to its own file and register it in the newer DSA code.

Hi Vivien

I would really prefer not to do this.

The temperature sensor is in the embedded PHYs of the switch. Many of
Marvell discrete PHYs also have the same temperature sensor. The
correct thing to do is move this code into drivers/net/phy/marvell.c.

	Andrew